### Method

# AppStream Component search_matches_all

since: 0.9.8

#### Declaration [src]

    guint
    as_component_search_matches_all (
      AsComponent* cpt,
      gchar** terms
    )

#### Description [src]

Searches component data for all the specific keywords.

Available since: 0.9.8

#### Parameters

`terms`

  Type: `gchar**`

  The search terms.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `guint`

A match score, where 0 is no match and larger numbers are better matches.